Skip to main content
Create An Environment For An Agent
curl --request POST \
  --url https://{api_endpoint}/v1/orchestrate/agents/{agent_id}/environment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "voice": {
    "enable_on_homepage": false,
    "enable_on_embed": false
  },
  "current_version": 123,
  "enable_wxg_integration": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Body

application/json

Schema for creating a new Environment.

name
string
required

Name of the environment

description
string
required

Description of what the environment does

voice
Voice · object | null

Voice configuration for the environment

current_version
integer | null

Current agent version pointed to this environment

enable_wxg_integration
boolean | null
default:false

Enable/disable WXG integration for this agent

Response

Successful Response